Name:		pdftk-java
Version:	3.0.6
Release:	%mkrel 1
Summary:	PDF Tool Kit
License:	GPLv2+
Group:		Publishing
URL:		https://gitlab.com/pdftk-java/pdftk
Source0:	https://gitlab.com/pdftk-java/pdftk/-/archive/v%{version}/pdftk-v%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	javapackages-local
BuildRequires:	ant
BuildRequires:	apache-commons-lang3
BuildRequires:	bouncycastle

Requires:	apache-commons-lang3
Requires:	bouncycastle

Provides:	pdftk = %{version}-%{release}

%description
Pdftk is a simple tool for doing everyday things with PDF documents.
Keep one in the top drawer of your desktop and use it to:

  - Merge PDF Documents
  - Split PDF Pages into a New Document
  - Decrypt Input as Necessary (Password Required)
  - Encrypt Output as Desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report on PDF Metrics, including Metadata and Bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF Document into Single Pages
  - Uncompress and Re-Compress Page Streams
  - Repair Corrupted PDF (Where Possible)

%prep
%setup -q -n pdftk-v%{version}

%build
mkdir lib
build-jar-repository lib bcprov commons-lang3
%ant jar

%install
install -Dpm 0644 build/jar/pdftk.jar %{buildroot}%{_javadir}/pdftk.jar
install -Dpm 0644 pdftk.1 %{buildroot}%{_mandir}/man1/pdftk.1

%jpackage_script com.gitlab.pdftk_java.pdftk "" "" bcprov:commons-lang3:pdftk pdftk true

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/pdftk
%{_mandir}/man1/pdftk.1*
%{_javadir}/pdftk.jar


%changelog
* Tue Jul 23 2019 daviddavid <daviddavid> 3.0.6-1.mga7
+ Revision: 1423585
- add virtual provide on pdftk
- backport pdftk-java for mga7

* Mon Jul 15 2019 daviddavid <daviddavid> 3.0.6-1.mga8
+ Revision: 1421624
- initial package pdftk-java

